Bug 1819876 - Bump OVS/OVN versions to 2.13
Summary: Bump OVS/OVN versions to 2.13
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.5
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 4.5.0
Assignee: Ben Bennett
QA Contact: zhaozhanqi
URL:
Whiteboard:
Depends On:
Blocks: 1819548 1819881
TreeView+ depends on / blocked
 
Reported: 2020-04-01 19:19 UTC by Dan Williams
Modified: 2020-07-13 17:25 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1819881 (view as bug list)
Environment:
Last Closed: 2020-07-13 17:24:45 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift ovn-kubernetes pull 122 None closed Bug 1819876: build: use OVS and OVN 2.13 2020-06-23 09:45:00 UTC
Red Hat Product Errata RHBA-2020:2409 None None None 2020-07-13 17:25:09 UTC

Description Dan Williams 2020-04-01 19:19:41 UTC
To reduce the number of streams of OVS/OVN that QE has to verify we need to drop OVS/OVN 2.12 and move to 2.13. No other layered product is using OVS/OVN 2.12, but OpenStack will be moving to 2.13 very soon and OpenShift should do the same to share the same OVS/OVN codebase.

Comment 3 Weibin Liang 2020-04-06 13:16:09 UTC
PR merged 4 days ago,tested in 4/6 daily image, but OVN/OVS still use v2.12, reopen this bug.

[weliang@weliang FILE]$ oc get clusterversion
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.5.0-0.nightly-2020-04-06-083820   True        False         23m     Cluster version is 4.5.0-0.nightly-2020-04-06-083820
[weliang@weliang FILE]$ oc rsh pod/ovnkube-master-42g9k
Defaulting container name to northd.
Use 'oc describe pod/ovnkube-master-42g9k -n openshift-ovn-kubernetes' to see all of the containers in this pod.
sh-4.2# rpm -qa | grep ovn
ovn2.12-2.12.0-32.el7fdn.x86_64
ovn2.12-vtep-2.12.0-32.el7fdn.x86_64
ovn2.12-central-2.12.0-32.el7fdn.x86_64
ovn2.12-host-2.12.0-32.el7fdn.x86_64
sh-4.2# rpm -qa | grep openvswitch
openvswitch2.12-2.12.0-22.el7fdp.x86_64
openvswitch-selinux-extra-policy-1.0-15.el7fdp.noarch
openvswitch2.12-devel-2.12.0-22.el7fdp.x86_64
sh-4.2#

Comment 4 Dan Williams 2020-04-08 15:34:39 UTC
@weibin can you retest? Now that https://github.com/openshift/ocp-build-data/pull/411 and https://github.com/openshift/ocp-build-data/pull/410 have merged we should be good to go in release builds.

Comment 6 Dan Williams 2020-04-09 15:15:30 UTC
Thanks!

Comment 8 errata-xmlrpc 2020-07-13 17:24:45 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2409


Note You need to log in before you can comment on or make changes to this bug.